Peringkat 5 dari 5 bintang

I use it all the time. I was disappointed that it doesn't work with FF3.x

But that was an easy fix. Download the xpi file and open it in Winzip. Edit the file called install.rdf (I used notepad) and change the maximum version to read 3.2.0.*